%global __brp_check_rpaths %{nil}
%global packname  tools4uplift
%global packver   1.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Tools for Uplift Modeling

License:          GPL-2 | GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.1.2
Requires:         R-core >= 3.1.2
BuildArch:        noarch
BuildRequires:    R-CRAN-BiasedUrn 
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-glmnet 
BuildRequires:    R-CRAN-latticeExtra 
BuildRequires:    R-CRAN-lhs 
Requires:         R-CRAN-BiasedUrn 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-glmnet 
Requires:         R-CRAN-latticeExtra 
Requires:         R-CRAN-lhs 

%description
Uplift modeling aims at predicting the causal effect of an action such as
a marketing campaign on a particular individual. In order to simplify the
task for practitioners in uplift modeling, we propose a combination of
tools that can be separated into the following ingredients: i)
quantization, ii) visualization, iii) variable selection, iv) parameters
estimation and, v) model validation. For more details, see
<https://dms.umontreal.ca/~murua/research/UpliftRegression.pdf>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
